Overview of MyZippa
Top Next

This help file is best viewed when maximized.

MyZippa is an archiving utility. The main difference between MyZippa and other archiving utilities is that MyZippa archives multiple folders based on the options you have selected and can create one or more archive files. Other archivers don't give you the flexibility and ease you need to create archives exactly the way you want them to. MyZippa does.

What's more, MyZippa has support for external archivers which gives you both the flexibility you need and the excellent compression ratios offered by many archivers. Supported archivers are:

ZIP (our own internal archiver)
WinRAR (GUI and console versions)
WinZip (Command Line Add-On version)
7-Zip (console version)

If you use archiving utilities frequently and you find yourself selecting the same options repetitively, then MyZippa is exactly the utility you need. It can be used for all your archiving needs. It can be used for:

· Backing up your files and data
· As a front-end for popular archiving utilities, allowing easy access to more advanced options


Features
Previous Top Next

· Can be run from the command line for automated tasks
· Selection of multiple include file masks for each folder
· Selection of multiple exclude file masks for each folder
· Can create single or multiple archives
· Customizable archive file names (per folder)
· Selection of archive format (WinRAR, 7-ZIP, WinZIP and internal ZIP compatible format)
· Fully editable parameters for external archivers
· Date and time can be appended to archive filenames
· Execute external applications after task is complete
· Works with UNC paths
· Play sounds for successful and failed operations
· Comprehensive log of task successes and failures
· Automatic saving of logs
· Send e-mail messages with log details on completion of tasks (ideal for running automated tasks on remote machines)


MyZippa main interface

Folder list

This is the most important window in MyZippa. The list of folders to archive, with their specific options, are displayed here. To add folders:

* Use the "Add folder wizard"
* Drag a folder from the shell list or the tree list onto the folder list
* Drag a folder from explorer onto the folder list

Shell tree

Use the tree list to navigate the folders on your machine. Drag folders to the folder list to add them.

Shell list

The shell list displays folders and files. Drag folders to the folder list to add them.


MyZippa options

Destination folder

This is where your archive files will be created.

Archive format

Select from Zip (internal), WinRAR, WinZIP or 7-Zip.

Compression level

For internal ZIP archiver only, select from None, Fast, Normal, Maximum. The higher the compression level, the smaller the archives will be and the longer the archiving will take.

CPU priority

For external archivers only, select from Idle, Normal, High, Real-Time. Each uses a different percentage of your CPU.

Append date and time to ZIP file name

When selected, archives will have the current date and time (YYYYMMDDHHMM format) appended to their name. e.g

C:\MyArchives\Documents\MyDocuments_200403271224.ZIP

Open destination folder in explorer when complete

When the task is complete, the destination folder will be opened on your desktop.

Clear destination folder before archiving

Be careful of this option! Before archiving, all files in the destination folder will be erased. You will be prompted before this operation takes place, just to make certain.

Command to execute after completion

If required, browse for a file to execute when the task is done (for example, copying files to a removable device)

Only execute if successful

The command to execute after completion will only execute if the task was successful.

Send e-mail when complete

Use this option to send an e-mail with the log details to the specified e-mail address

Start

Begin archiving!

Exit

Something you might want to do when you're finished using MyZippa


External archiver preferences

Full executable path and filename

Browse your computer for the correct executable files. By default MyZippa uses the default installation folders for these files.

Archive format

A list of compatible archive formats for the selected archiver are displayed here. Select the one you want to use. In some instances (7-Zip), the command line parameters also need to be adjusted to accommodate the format.

Additional information

More information regarding the external archiver's parameters and tested versions.


SMTP preferences

Enter the appropriate information for each field. if you don't intend using the e-mail facility, there's no need to fill in anything. If you don't know where to get the relevant information, contact your ISP, system administrator or try your e-mail client's preferences to get the details. Passwords are encrypted in MyZippa's preferences file.


Sound preferences

Browse for the WAV files you prefer to use for the specific operations. Use the "Play" button next to the filename to test the sound. If you don't want sounds, leave these out.


Log preferences

Automatically save logs

Check this option of you want MyZippa to save log files for all operations. The files will be named:

"MyZippa Log YYYY-MM-DD HH-MM.TXT"

e.g.

"MyZippa Log 2004-03-20 20-37-38.TXT"

If you don't check this option, only the last log is automatically saved with the name:

"MyZippa Log.TXT"

Save logs to which folder

Specify the folder where the logs are to be saved. The default is your MyZippa installation folder.


Update preferences

Disable automatic update checking

MyZippa will no longer check the internet for updates.

Send notification e-mail to address if a newer version is available

Type in an e-mail address here to receive notification of updates. SMTP preferences must be set up for this to work correctly. Note that MyZippa itself generates the e-mail. Starting with version 2.5.0.73, the upgrade dialog no longer appears. Instead a message appears at the top of the screen with a clickable link to download the update. This message no longer interferes with automated backups. If you are running MyZippa on a remote machine where you will never see this link appear, setting up the e-mail notification will cause MyZippa to send you an e-mail whenever a new version is detected.


What are profiles?

Profiles are a set of folders with their selected file masks, archive names and various options you have selected. These are saved as files with the SFZ extension. These are created when using the "Save" or "Save as.." options from the menu.


Command line

MyZippa can be used with the Windows task scheduler to perform automated tasks. Simply select the profile (SFZ file) to automatically run it. In certain cases you may want to run MyZippa with its native parameters. They are as follows:

<MyZippa executable path and name> <profile path and name>

e.g.

"C:\Program Files\MyZippa\MyZippa.exe" "C:\Profiles\MyProfile.sfz"

When MyZippa is executed from the command line, it will automatically terminate when complete.

/o<profile path and name>

This option will load the specified profile but will not execute it

e.g.

"C:\Program Files\MyZippa\MyZippa.exe" /o"C:\Profiles\MyProfile.sfz"

Note that the profile name and path must follow the /o immediately without spaces


Adding a folder with drag and drop

Drag and drop from within MyZippa

Drag the folder and drop it on the folder list. A pop up menu as shown below is displayed:

Selecting the "Add folder..." option will add only the folder selected.

Selecting the "Add sub-folders of ..." option will add all the sub folders of the selected folder.

Drag and drop from explorer (or other application that supports it)

The selected folder will be added without further prompting. You can drag multiple folders at one time.

Important note about dropping files

Any file dropped onto the folder list will be ignored. The folder list only works with folders. If you only want to backup a specific file, drop its folder and select the specific file as an include mask.


Adding a folder with the keyboard

Press <Enter> on the folder in the shell tree and the folder will be added without further prompting.


Adding a folder with the wizard

Step 1 : Select a folder

Step 2 : Specify a file mask

Step 3 : Specify an archive name

Step 3 : Review your settings and finish


Changing the archiving options

When a folder is added, the archiving options defaults are as follows:

Archive name

The full path of the folder with all invalid characters replaced with underscores.

File include mask

*.*

File exclude mask

Blank

Changing the archiving options

You can change the specific archiving options for each folder by double-clicking it or selecting the "Edit archiving options" from the folder list pop-up menu (right-click)

Archive name

Type a valid filename for the archive here

File masks

File masks are the files that will be archived within the selected folder. You can enter multiple file masks by separating them with semicolons e.g. *.txt;*.ini;*.pas. File masks are applied to all sub-folders as well.


Single versus multiple archives

If you select the "Use single archive..." option you must select an archive name. When this option is off, the archive name is specified on the folder list.

Other important information regarding single archives

When adding multiple folders to a single archive, it is very important to specify the "store full paths" switch for the archiver, otherwise all your files will be mixed and duplicates will be overwritten.

If you are using the internal ZIP archiver, this option is set automatically.

Suggested external archiver settings

WinRAR : include the -ep2 switch
WinZIP : include the -rP switch
7-Zip : No additional settings required


Folder recursion

Folder recursion is the process of archiving sub-folder of the folders you have selected. Recursion depends on the archiver in use. When using single archive mode, it is recommended that all folders on the folder list are located on the same drive. Selecting folders from multiple drives may cause some of the files in the archive to be replaced by others if the same folder names are used on both drives.

Internal ZIP archiver

Recursion is always enabled. In multiple folder mode, MyZippa uses relative paths, in single archive mode, it uses absolute paths.

WinRAR with multiple archives

-r switch recommended

WinRAR with single archives

-r -ep2 switches recommended

7-Zip

-r switch required for folder recursion

WinZip with multiple archives

-rp switch recommended

WinZip with single archives

-rP switch recommended (note the capital P, which has a different meaning to the small p in -rp)


Exclude file masks

You can select multiple filemasks for exclusion. Where you have more than one, seperate them with semicolons e.g.

*.exe;*.map

These file masks are applied recursively meaning that it will exclude the specified files in all sub-folders as well


Start!

Click start to begin the task.

On completion, the log is displayed. Click the "OK" button to continue.


Terminating a task

To stop a task, click the "Stop" button.

To stop an external archiver, terminate the archiver by pressing Control-C or it's close button when running. Using the task manager to terminate MyZippa while an external archiver is running is not advised.


How is WinRAR executed?

MyZippa changes directory to the folder to be archived.

WinRAR is executed in the following manner:

<executable name> a <switches> <-x[excluded mask 1]> <-x[excluded mask 2]> ... <"archive name"> <included mask 1> <included mask2> ...

<executable name>

e.g. C:\Program Files\WinRAR\WinRAR.exe

Exactly as specified in preferences

<switches>

e.g. -s -m5 -ep2

Exactly as specified in preferences

<-x[excluded mask]>

e.g. -x*.bak

If an excluded mask is specified, each mask will be added seperately on the command line

e.g. -x*.bak -x*.~*

If no excluded masks are selected, no -x switches will be added

<"archive name">

e.g. "C:\My Backups\My_Folder.RAR"

The archive name as specified in the folder list. If the option to add a date and time stamp is selected, it will be added here.

e.g. "C:\My Backups\My_Folder_200403281452.RAR"

<included mask 1>

e.g. *.ini

For multiple included masks, each is added seperately.

e.g. *.ini *.pas *.dfm

Example

C:\Program Files\WinRAR\WinRAR.exe a -r -dh -m5 -s -ibck -x*.exe -x*.~* "C:\Projects\C_Projects_MyZippa_200404031558.RAR" *.*


How is 7-Zip executed?

MyZippa changes directory to the folder to be archived. In the case of single archives, it will change directory to the root folder of the drive on which the folder is located.

7-Zip is executed in the following manner:

<executable name> a <switches> <-x![excluded mask 1]> <-x![excluded mask 2]> ... <"archive name"> <included mask 1> <included mask2> ...

<executable name>

e.g. C:\Program Files\7-Zip\7z.exe

Exactly as specified in preferences

<switches>

e.g. -r -t7z

Exactly as specified in preferences

<-x![excluded mask]>

e.g. -x!*.bak

If an excluded mask is specified, each mask will be added seperately on the command line

e.g. -x!*.bak -x!*.~*

If no excluded masks are selected, no -x switches will be added

<"archive name">

e.g. "C:\My Backups\My_Folder.7Z"

The archive name as specified in the folder list. If the option to add a date and time stamp is selected, it will be added here.

e.g. "C:\My Backups\My_Folder_200403281452.7Z"

<included mask 1>

e.g. *.ini

For multiple included masks, each is added seperately.

e.g. *.ini *.pas *.dfm

If the single archive option is enabled, the full folder and file mask is specified.

e.g. "C:\Projects\MyZippa\*.*"

Example

C:\Program Files\7-Zip\7z.exe a -r -t7z -x!*.exe -x!*.~* "C:\Projects\C_Projects_MyZippa_200404031559.7Z" *.*


How is WinZip executed?

MyZippa changes directory to the folder to be archived.

WinZip is executed in the following manner:

<executable name> <switches> <-x[excluded mask 1]> <-x[excluded mask 2]> ... <"archive name"> <included mask 1> <included mask2> ...

<executable name>

e.g. C:\Program Files\WinZip\WZZIP.EXE

Exactly as specified in preferences

<switches>

e.g. -es -rP

Exactly as specified in preferences

<-x[excluded mask]>

e.g. -x*.bak

If an excluded mask is specified, each mask will be added seperately on the command line

e.g. -x*.bak -x*.~*

If no excluded masks are selected, no -x switches will be added

<"archive name">

e.g. "C:\My Backups\My_Folder.ZIP"

The archive name as specified in the folder list. If the option to add a date and time stamp is selected, it will be added here.

e.g. "C:\My Backups\My_Folder_200403281452.ZIP"

<included mask 1>

e.g. *.ini

For multiple included masks, each is added seperately.

e.g. *.ini *.pas *.dfm

If the single archive option is enabled, the full folder and file mask is specified.

e.g. "C:\Projects\MyZippa\*.*"

Example

C:\Program Files\WinZip\WZZIP.EXE -es -rP -x*.exe -x*.~* "C:\Projects\C_Projects_MyZippa_200404031602.ZIP" *.*


ZIP files (internal)

MyZippa can create ZIP files greater than 4GB (Zip64)


Requirements

For MyZippa to work with external archivers, it is recommended that you upgrade these applications to the latest versions. For obvious reasons, these applications must be installed in order to be used as external archivers. Download links for all supported archivers are available on the preferences screens. Some archivers may need to be purchased as their trial versions have limitations and / or nag screens. Information in this help file was correct at the time of creation. No responsibily is accepted for any changes in the licencing structures of these applications.

WinRAR 3.30 GUI and console versions. Commercial with trial version available.

7-Zip 3.13 console only. Freeware.

WinZip 9.0 with Command Line Add-On 1.1 console only. Commercial with trial version available.


Support
Previous Top

If you need to contact SaintlySoft for any reason, send an e-mail to support@saintlysoft.com